List Daily Balances
curl --request GET \
--url https://api.business-os.de/v2/banking/balances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.business-os.de/v2/banking/balances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.business-os.de/v2/banking/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"date": "2026-04-25",
"sod": 10000,
"eod": 10500,
"cash_in": 1500,
"cash_out": 1000,
"delta": 500,
"transactions": [
{
"id": "6450918273645091827",
"account_id": "8273645091827364509",
"payment_id": "4509182736450918273",
"duplicated": false,
"mode": "normal",
"status": "posted",
"made_on": "2026-01-23",
"amount": -2000,
"currency_code": "EUR",
"description": "FOLGELASTSCHRIFT",
"description_parsed": {
"cred": "DE98ZZZ09999999999",
"mref": "M-2026-0042",
"kref": null,
"debt": null,
"svwz": null,
"abwa": null,
"abwe": null,
"bic": "COBADEFF",
"oamt": null,
"coam": null,
"purp": null
},
"category": "service_fee",
"extra": {
"time": "00:07:13",
"payee": "DE02100100100006820101",
"payer": "DE89370400440532013000",
"additional": "FOLGELASTSCHRIFT",
"merchant_id": null,
"posting_date": "2026-01-23",
"end_to_end_id": "RE-2026-0042",
"payee_information": "Beispiel Handels GmbH",
"payer_information": "MUSTERMANN GMBH",
"account_balance_snapshot": 12450.75,
"categorization_confidence": 1
},
"created_at": "2026-03-24T13:51:32Z",
"updated_at": "2026-03-24T13:51:39Z"
}
]
}
]
}{
"error": "Missing required parameter: connection_id"
}Banking AIS
List Daily Balances
Gibt tägliche SOD/EOD-Salden für ein Bankkonto zurück, inkl. Cash-In, Cash-Out und Delta. Transaktionen pro Tag werden nur zurückgegeben, wenn include_transactions=true gesetzt ist (ohne Flag bleibt das Feld transactions[] weg — schnelle Abfrage rein aus dem Cache, ohne Banking-Call).
Die Salden werden aus einem Cache gelesen und automatisch bei jedem Refresh aktualisiert.
Cost: 0 Credits
GET
/
v2
/
banking
/
balances
List Daily Balances
Authorizations
Dein Business OS API Key. Erstelle einen unter app.business-os.de → API Keys.
Query Parameters
ID des Bankkontos
Startdatum (YYYY-MM-DD)
Enddatum (YYYY-MM-DD)
Wenn true: Transaktionen pro Tag werden im Feld transactions[] mitgeliefert. Default false — nur Salden, deutlich schneller.
Response
Liste der täglichen Salden
Show child attributes
Show child attributes
⌘I